# Generated by Django 2.2.11 on 2021-02-24 14:20

from django.db import migrations
from json import loads

def agg_filter_to_list(apps, schema_editor):
    Query = apps.get_model('angled', 'Query')

    for query in Query.objects.all():
        query_data = loads(query.statements)
        selects = query_data['select']
        for select in selects:
            if select['aggregate'] is not None:
                f = select['aggregate']['filter']
                if f is None:
                    select['aggregate']['filter'] = []
                else:
                    f.update(tag='term')
                    select['aggregate']['filter'] = [f]
                    
        query.statements = query_data
        query.save()


class Migration(migrations.Migration):

    dependencies = [
        ('angled', '0058_auto_20210205_1239'),
    ]

    operations = [
        migrations.RunPython(agg_filter_to_list),
    ]
